Bug 1287546 - Dracut does not add some HID-drivers to initramfs
Dracut does not add some HID-drivers to initramfs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 05:27 EST by Stefan Neufeind
Modified: 2016-12-20 11:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:31:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dracut debug-output as requested in comment #3 (713.86 KB, application/x-gzip)
2015-12-08 11:47 EST, Stefan Neufeind
no flags Details

  None (edit)
Description Stefan Neufeind 2015-12-02 05:27:24 EST
Missing HID-drivers in initramfs for a keyboard like hid_microsoft leads to problems that you can't enter a disk-password during boot or so.

The bug was fixed in the past (#1245449, #1229650) but seems to have reappeared in some of the recent kernels in F23. I'm currently running 4.2.6-301.fc23.x86_64.

Manually adding a add_drivers="..." to /etc/dracut.conf and rebuilding the initramfs makes it work again.
Comment 1 Harald Hoyer 2015-12-08 04:58:11 EST
What is the output of:

$ modprobe --dry-run --show-depends hid_microsoft
Comment 2 Stefan Neufeind 2015-12-08 10:21:33 EST
insmod /lib/modules/4.2.6-301.fc23.x86_64/kernel/drivers/hid/hid-microsoft.ko.xz
Comment 3 Harald Hoyer 2015-12-08 10:42:42 EST
(In reply to Stefan Neufeind from comment #2)
> insmod
> /lib/modules/4.2.6-301.fc23.x86_64/kernel/drivers/hid/hid-microsoft.ko.xz

Hmm, in F23 dracut includes all modules in "drivers/hid".

Care to post the output of:

# dracut --debug --force /var/tmp/test.img
# lsinitrd /var/tmp/test.img
# rm -f /var/tmp/test.img
Comment 4 Stefan Neufeind 2015-12-08 11:47 EST
Created attachment 1103652 [details]
dracut debug-output as requested in comment #3
Comment 5 Stefan Neufeind 2015-12-08 11:55:03 EST
I've commented out the manual add-drivers-line from dracut.conf before running this, of course. It looks like hid-microsoft would be pulled in? Could that possibly be because my current kernel has that module (and it is in active use)?
Comment 6 Harald Hoyer 2015-12-09 06:10:57 EST
(In reply to Stefan Neufeind from comment #5)
> I've commented out the manual add-drivers-line from dracut.conf before
> running this, of course. It looks like hid-microsoft would be pulled in?
> Could that possibly be because my current kernel has that module (and it is
> in active use)?

Exactly. The "hostonly" mode pulls in only modules, which are in use, to keep the initramfs size small.

If you don't want that, install the "dracut-config-generic" package to generate hardware independent initramfs images.
Comment 7 Stefan Neufeind 2015-12-09 06:22:11 EST
Well, for a limited range of drivers having them always might make sense? Like for keyboards in this case. To my understanding the linked issues show that there was a change in that direction in the past. From one update to another those drivers were included.

If I see things correct for me the problem re-occured when I used a laptop undocked (no Microsoft-keyboard connected), updated the kernel and then tried to use it docked again booting up without opening the laptop (external keyboard connected). That's my only explanation how during generation of a new initramfs the keyboard was not connected and therefor the driver not automatically pulled in.
Comment 8 Harald Hoyer 2015-12-09 08:14:32 EST
(In reply to Stefan Neufeind from comment #7)
> Well, for a limited range of drivers having them always might make sense?
> Like for keyboards in this case. To my understanding the linked issues show
> that there was a change in that direction in the past. From one update to
> another those drivers were included.
> 
> If I see things correct for me the problem re-occured when I used a laptop
> undocked (no Microsoft-keyboard connected), updated the kernel and then
> tried to use it docked again booting up without opening the laptop (external
> keyboard connected). That's my only explanation how during generation of a
> new initramfs the keyboard was not connected and therefor the driver not
> automatically pulled in.

good point! will change
Comment 9 Fedora End Of Life 2016-11-24 08:54:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 11:31:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.